---@meta

---@class UVehicle_LightController_C : UVehicleComponent
---@field UberGraphFrame FPointerToUberGraphFrame
---@field LightSources TArray<ULightComponent>
---@field Relations TArray<FLightConfig>
---@field Intensity double
local UVehicle_LightController_C = {}

---@param Active boolean
function UVehicle_LightController_C:HasActiveLights(Active) end
---@param Intensity double
function UVehicle_LightController_C:GetIntensity(Intensity) end
---@param Intensity double
function UVehicle_LightController_C:Illuminate(Intensity) end
function UVehicle_LightController_C:Init() end
---@param EntryPoint int32
function UVehicle_LightController_C:ExecuteUbergraph_Vehicle_LightController(EntryPoint) end


